# Execute Browser feature transformations Zephr HTML Features can be run in the browser by calling this API directly or using the Zephr Browser SDK. For compatibility with CDN, any web headers (Referrer, User-Agent) will be accepted and passed onto the rule engine. Endpoint: POST /zephr/feature-transformations Version: 2025-07-30 Security: CookieBlaizeSession, JwtQuery, JwtHeaderXBlaizeJwt, JwtHeaderXZephrJwt, JwtBearer, JwtCookie ## Header parameters: - `Cookie` (string) The session cookie. Example: "blaize_session=..." ## Request fields (application/json): - `featureIds` (array, required) An array of HTML Feature IDs. Example: ["featureX"] - `session` (string) The Zephr Session ID. Example: "xxx-xxx-xxx" - `referer` (string) Browser referer Example: "https://www.zephr.com/" - `path` (string) Request path, defaults to "/". If available, include the content ID as a query parameter. For example, /story.html?content_id=abc-123. Example: "/x.html" - `content_metadata` (object) Example: {"content_id":"xxx-xxx-xxx"} - `content_metadata.content_id` (string) Content ID, used to perform requests to a 3rd party API for additional content information used in making a decision. Example: "xxx-xxx-xxx" - `giftToken` (string) Token to provide access to content for one session. Example: "xxx-xxx-xxx" - `jwt` (string) A JSON Web Token, may include identity or product holding claims. Example: "xxx-xxx-xxx" - `customData` (object) Custom data to be used in Feature HTML browser rule. Accepts a JSON object Example: {"key":"value"} ## Response 200 fields (application/json): - `featureResults` (object) Map of HTML Feature IDs and feature result transformations - `featureResults.featureX` (object) - `featureResults.featureX.ruleTransformations` (object) - `featureResults.featureX.ruleTransformations.type` (string) The transformation type. - `featureResults.featureX.ruleTransformations.id` (string) The rule ID. - `featureResults.featureX.ruleTransformations.contentLength` (number) Content length - `featureResults.featureX.ruleTransformations.outcomeId` (string) The outcome ID. - `featureResults.featureX.ruleTransformations.outcomeLabel` (string) The outcome label. - `featureResults.featureX.ruleTransformations.ruleId` (string) The rule ID. - `featureResults.featureX.ruleTransformations.ruleLabel` (string) The rule label. - `featureResults.featureX.ruleTransformations.style` (string) The transformation style. - `featureResults.featureX.ruleTransformations.url` (string) The transformation URL. - `featureResults.featureX.ruleTransformations.value` (string) The string transformation value. - `featureResults.featureX.zoneRuleTransformations` (object) - `featureResults.featureX.zoneRuleTransformations.zone` (string) The zone type (HEADER, FOOTER, POPUP). - `featureResults.featureX.zoneRuleTransformations.closeable` (boolean) Indicates whether the zone can be closed. - `featureResults.featureX.zoneRuleTransformations.css` (string) CSS - `featureResults.featureX.zoneRuleTransformations.displayAfter` (string) Specifies whether the content should be displayed after a specific condition or event. - `featureResults.featureX.zoneRuleTransformations.scrollable` (boolean) Indicates whether the zone is scrollable. - `featureResults.featureX.zoneRuleTransformations.ruleTransformations` (array) Rule transformations - `resources` (object) - `resources.forms` (object) Forms used in feature results - `resources.paymentForms` (object) Payment Forms used in feature results - `resources.uiComponents` (object) UI Components used in feature results